import asyncio
import typer
from rich.console import Console
from notification_producer.producer_client import ProducerClient

console = Console()
cli_app = typer.Typer(rich_markup_mode="rich")
notify = typer.Typer()


@cli_app.command()
def up(
    ip: str = typer.Option(
        "127.0.0.1", "--ip", "-i",
        help="The server's ip.",
    ),
    port: int = typer.Option(
        5554, "--port", "-p",
        help="The server's port for [b]producers[/].",
    ),
):
    """
    This command [b]start[/] the [yellow b]producer[/] to send messages in [b]the interactive mode[/].
    """

    client = ProducerClient(ip, port)
    asyncio.run(client.notify_interactive())


